Name:           python-pytest-cython
Version:        0.2.1
Release:        %autorelease
Summary:        Pytest plugin for testing Cython extension modules

License:        MIT
URL:            https://github.com/lgpage/pytest-cython
Source0:        %{url}/archive/v%{version}/pytest-cython-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel

# Test dependencies
BuildRequires:  gcc-c++
BuildRequires:  %{py3_dist cython}
BuildRequires:  %{py3_dist nox}

%global _desc %{expand:
This pytest plugin enables the doctesting of C extension modules for
Python, specifically created through Cython.}

%description %_desc

%package     -n python3-pytest-cython
Summary:        %{summary}

%description -n python3-pytest-cython %_desc

%package        doc
# The content is MIT.  Some files added by Sphinx are BSD-2-Clause:
# - _static/_sphinx_javascript_frameworks_compat.js
# - _static/doctools.js
# - _static/documentation_options.js
# - _static/language_data.js
# - _static/searchtools.js
# - _static/sidebar.js
# - _static/sphinx_highlight.js
# - _static/*.css (except pygments.css, which is MIT)
# - _static/*.png
License:        MIT AND BSD-2-Clause
Summary:        Documentation for pytest_cython

%description    doc
Documentation for pytest_cython

%prep
%autosetup -n pytest-cython-%{version}

%generate_buildrequires
%pyproject_buildrequires
%pyproject_buildrequires -N docs/requirements.txt

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_cython
PYTHONPATH=%{buildroot}%{python3_sitelib} sphinx-build -b html docs html
rm -fr html/.{buildinfo,doctrees}

%check
# Cannot use the %%pytest macro because an import path check fails
pytest

%files -n python3-pytest-cython -f %{pyproject_files}
%doc CHANGELOG.md README.md
%license LICENSE.md

%files doc
%doc html

%changelog
%autochangelog
